SDL_GetTrayEntries(3)

NAME
SDL_GetTrayEntries - Returns a list of entries in the menu, in order.

SYNOPSIS
#include <SDL3/SDL_tray.h>

const SDL_TrayEntry ** SDL_GetTrayEntries(SDL_TrayMenu *menu, int *count);

FUNCTION PARAMETERS

menu
    The menu to get entries from.

count
    An optional pointer to obtain the number of entries in the menu.

RETURN VALUE

) Returns a NULL-terminated list of entries within the given menu. The pointer becomes invalid when any function that inserts or deletes entries in the menu is called.

THREAD SAFETY
This function should be called on the thread that created the tray.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_RemoveTrayEntry(3), SDL_InsertTrayEntryAt(3)